Update-manager broke (unable to use after reboot)my system:installArchives()failed

Bug #222053 reported by papukaija on 2008-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: update-manager

I was upgrading my Ubuntu 7.10 (completely updated) to Hardy.
   The preparation and the download of packeges went ok.
When the system started to install/update/remowe packages, I got many, atleast 20 notification like "package x couldn't be installed. The upgrde continues,but the package x may be unworking." Some of these packages were perl,login,xfailsafedialog, lib-wwwperl,passwd and sudo.

Also the system asked twice if I want to overwrite or keep a configuration file. These files were edited by me.
   But then I got an notification (see attachement) that the upgrade was stopped (installArchives()failed ). As you can see, part of this attachement is in Finnish, but it says that the upgrade was stopped and that the dpkg --configure -a was run.

 From the embeded terminal I could see (it's not visible on the attachement) that the last text was something like that:
"/etc/readahead/boot configuration file is changed
--> You have the following choices...", but I didn't see any dialog to choose the overwrite/keeping of the original file as in the 2 previvous time.

Then nothing happened, so I rebooted my system and the booting to login screen failed. I had to boot to recovery mode and run these commands:
dpkg --reconfigure -a, dpkg --reconfigure -a --force all, apt-get install -f, and aptide dist-upgrade. The last command seemed to complete the upgrade as I could boot to Hardy after reboot.

Edit: When I run dpkg --reconfigure -a, the system asked what I want to do with the /etc/readahead/boot configuration file; I choosed to overwrite it. I haven't edited this file. That command failed finally,after configuring some packages with something like this: "E: Too many errors,aborting", soI run dpkg --reconfigure -a --force all, which said many times something like this: "the dependency x is not configured, but configuring anyway as forced" . Also it gave error messages about dbus so i reinstalled it.

Edit2: For the exact output of "dpkg --reconfigure -a --force all", see gutsy2hardy_bootstrap.txt

papukaija (papukaija) wrote :
papukaija (papukaija) wrote :
papukaija (papukaija) wrote :

This files includes the error message (2008-04-24 17:51:13,350 ERROR SystemError from cache.commit(): installArchives() failed) shown in the screenshot.

papukaija (papukaija) wrote :

This log isn't very informative, but I include it anyway. This log is in Finnish, but it says something like this :"Unpacking templates fom packages:2%"
  Also the directory has a fourth file -apt-term.log, but it won't open.

Michael Vogt (mvo) wrote :

Here is what caused the errors:

...
2008-04-24 16:32:28,734 ERROR got an error from dpkg for pkg: 'perl-base': 'paketti perl-base on jo asennettu ja konfiguroitu
'
2008-04-24 16:32:28,805 DEBUG running apport_pkgfailure() perl-base: paketti perl-base on jo asennettu ja konfiguroitu
...
dpkg: virhe käsiteltäessä perl-base (--configure):
 paketti perl-base on jo asennettu ja konfiguroitu
Errors were encountered while processing:
 perl-base

This sounds like dpkg was called to configure it, when it was already configured?

Changed in update-manager:
importance: Undecided → High
status: New → Confirmed
papukaija (papukaija) wrote :

Michael Vogt: If something had started dpkg, it's probably the update-manager because I didn't run dpkg from the terminal.

papukaija (papukaija) on 2008-05-07
description: updated
description: updated
Changed in update-manager:
status: Confirmed → Triaged
papukaija (papukaija) wrote :

I upgraded yesterday to Ubuntu 8.10 succesfully, so this bug seems to be fixed in Ubuntu 8.10. This of course doesn't help users running Ubuntu 8.04.

However my sytem wanted to remove 74 packages at the clean-up stage including language-pack-fi-base and fakeroot, postfix, open-office-voikko. (I'll includu the list from the update-manger's log). I'm not sure if this is related to this bug, but I'll inform you anyway.

Could someone check that list? My sytem still wants to remove some of those packages. See
https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/287551

papukaija (papukaija) wrote :

I'll include the apt and main.log from the upgrade to Ubuntu 8.10 if it helps fixing this bug.

papukaija (papukaija) wrote :
papukaija (papukaija) wrote :
papukaija (papukaija) wrote :
description: updated
papukaija (papukaija) wrote :

Should this bug marked as incomplete as Ubuntu 7.10 has reached EOL?

to be removed (liw) wrote :

I agree with papukaija that the bug can be closed now.

Changed in update-manager (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers